﻿using HeuristicLab.Common;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public abstract class StatelessExpression : Expression
    {
        protected override int InitId()
        {
            return StringRepresentation.GetHashCode();
        }

        public override IDeepCloneable Clone(Cloner cloner)
        {
            return this;
        }
    }
}
